<?php

namespace Teknisa\CNC\Factories;

use Doctrine\ORM\EntityManager;
use Teknisa\CNC\Query;

class Cnc00200AdquirentesFactory {
    protected $connection;
    protected $queries;

    public function __construct(EntityManager $entityManager, Query\Query $queries) {
        $this->connection = $entityManager->getConnection();
        $this->queries = $queries;
    }
    
    public function saveTecnologiaAdq($params) {
        $sql = $this->queries::SAVE_TECNOLOGIA_ADQ;
        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }

    public function insertTecnologiaAdq ($params) {
        $sql = $this->queries::INSERT_TECNOLOGIA_ADQ;
        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }

    public function getTecnologiaAdq($params){
        $sql = $this->queries::GET_TECNOLOGIA_ADQ;
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }

    public function deleteTecnologiaAdq($params) {
        $sql = $this->queries::DELETE_TECNOLOGIA_ADQ;
        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }

    public function checkExistsTecAdq ($params) {
        $sql = $this->queries::CHECK_EXISTS_TEC_ADQ;
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }

    public function saveTecnologiaAdqEst($params) {
        $sql = $this->queries::SAVE_TECNOLOGIA_ADQ_EST;
        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }

    public function insertTecnologiaAdqEst($params) {
        $sql = $this->queries::ISNERT_TECNOLOGIA_ADQ_EST;
        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }

    public function getTecnologiaAdqEst($params){
        $sql = $this->queries::GET_TECNOLOGIA_ADQ_EST;
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }

    public function deleteTecnologiaAdqEst($params) {
        $sql = $this->queries::DELETE_TECNOLOGIA_ADQ_EST;
        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }

    public function checkExistsTecAdqEst($params) {
        $sql = $this->queries::CHECK_EXISTS_TEC_ADQ_EST;
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }
    
    public function getAdquirentesSeries ($params) {
        $sql = $this->queries::GET_ADQUIRESTEN_SERIES;
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }
    
    public function getContcorrEmpresa ($params) {
        $sql = $this->queries::GET_CONTCORR_EMPRESA;
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }
    
    public function getInscValues ($params) {
        $sql = $this->queries::GET_INSC_VALUES;
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }
    
    public function validateEstabelec ($params) {
        $sql = $this->queries::VALIDATE_ESTABELEC;
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll()[0];
    }

    public function filterAdqFinacRow ($params) {
        $sql = $this->FILTER_ADQ_FINAC_ROW;
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }

    public function insertLogAdqFinac ($params) {
        $sql = $this->queries::INSERT_LOG_ADQ_FINAC;      
        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }
}