<?php

namespace Teknisa\CNC\Services;

use Teknisa\CNC\Factories\Cnc02100VendasAntecipadasReportFactory;

class Cnc02100VendasAntecipadasReportService {
    protected $entityManager;
    protected $factory;

    public function __construct (\Doctrine\ORM\EntityManager $entityManager, Cnc02100VendasAntecipadasReportFactory $factory) {
        $this->entityManager = $entityManager;
        $this->factory = $factory;
    }

    public function validateReport ($row) {
        $result = $this->factory->validateReport(array(
            ":ini"            => $row["dtvenda_ini"],
            ":fin"            => $row["dtvenda_fin"],
            ":nrorg"          => $row["nrorg"],
            ":nrestabelec"    => $row["nrestabelec"],
            ":nradquirente"   => $row["nradquirente"],
            ":dtvenda_ini"    => $row["dtvenda_ini"],
            ":dtvenda_fin"    => $row["dtvenda_fin"],
            ":nrprodutoadq"   => $row["nrprodutoadq"],
            ":nrprodutoadq"   => $row["nrprodutoadq"],
            ":vrvenda_min"    => $row["vrvenda_min"],
            ":vrvenda_max"    => $row["vrvenda_max"],
            ":vrvenda"        => $row["vrvenda"]
        ));

        return $result;
    }
}